Domains — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Domains
=======

List the domains belonging to a team.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the domains belonging to a team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/domains

```

Required ability: `domains:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/domains?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "name": "apollo",
      "fqdn": "apollo.com",
      "wildcard": false,
      "use_www": true,
      "https_redirect": true,
      "expires_at": "2027-01-15T00:00:00+00:00",
      "created_at": "2026-01-16T10:00:00+00:00"
    },
    {
      "id": 2,
      "name": "gemini",
      "fqdn": "gemini.io",
      "wildcard": true,
      "use_www": false,
      "https_redirect": true,
      "expires_at": null,
      "created_at": "2026-02-03T14:05:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/domains?page=1",
    "last": "https://rocketeersapp.com/api/your-team/domains?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 20,
    "to": 12,
    "total": 12,
    "path": "https://rocketeersapp.com/api/your-team/domains"
  },
  "results": 12,
  "served_in": "8.54ms"
}

```

[ Previous  Clients](https://rocketeersapp.com/docs/api/clients) [ Next   Storages](https://rocketeersapp.com/docs/api/storages)
